/* Переменные для цветов */
:root {
  --main-bg-color: #fefefe;
  --main-text-color: #666;
  --hover-color: #336699;
  --border-color: #999;
  --shadow-color: rgba(0, 0, 0, 0.5);
  --submit-bg-color: #008000;
  --submit-hover-bg: #00ff00;
}

html {
  height: 100%;
  overflow-y: auto;
  box-sizing: border-box;
}

*,
:before,
:after {
  margin: 0;
  padding: 0;
  box-sizing: inherit;
}

body {
  margin: 0;
  padding: 0;
  width: 100%;
  min-height: 100vh;
  background: var(--main-bg-color);
  font-size: 16px;
  letter-spacing: 0.2px;
  font-family: "Open Sans", sans-serif;
  font-weight: 300;
  display: flex;
  flex-direction: column;
}

.wrapper {
  display: flex;
  flex-direction: column;
  flex-grow: 1; /* Заставляем wrapper расти, заполняя всю высоту */
}

/* zaglavlje  */

.topnav {
  background: #fff;
  position: fixed;
  top: 0;
  width: 100%;
  box-shadow: 0 0 10px var(--shadow-color);
  z-index: 1;
  display: flex;
  align-items: center;
}

.topnav a {
  float: left;
  color: #040000;
  text-align: center;
  padding: 11px 16px;
    text-decoration: none;
  font-size: 16px;
}

.topnav .icon {
  display: none;
  padding: 10px;
  float: right;
  font-size: 24px;
  cursor: pointer;
}

.dropdown,
.div_a {
  float: left;
  overflow: hidden;
}

.dropdown .dropbtn {
  font-size: 16px;
  border: none;
  outline: none;
  color: #040000;
  padding: 11px 16px;
  background-color: inherit;
  font-family: inherit;
  margin: 0;
  background-color: #fff;
  z-index: 1;
}

.dropdown-content {
  display: none;
  position: absolute;
  background-color: #f9f9f9;
  min-width: 160px;
  box-shadow: 0px 8px 16px 0px var(--shadow-color);
  z-index: 1;
}

.dropdown-content a {
  float: none;
  color: black;
  padding: 11px 16px;
  text-decoration: none;
  display: block;
  text-align: left;
}

.topnav a:hover,
.dropdown:hover .dropbtn:hover {
  background-color: var(--hover-color);
  color: #fff;
}

.dropdown-content a:hover {
  background-color: var(--hover-color);
  color: #fff;
}

.dropdown:hover .dropdown-content {
  display: block;
}

/* Скрываем иконку закрытия по умолчанию */
.topnav .close-icon {
  display: none;
}

@media screen and (max-width: 800px) {
  .topnav {
    justify-content: space-between;
  }

  .topnav a:not(:first-child),
  .dropdown .dropbtn {
    display: none;
  }
  .topnav a.icon {
    padding: 10px 16px;
    float: right;
    display: block;
  }
}

@media screen and (max-width: 800px) {
  .topnav .topnav_link,
  .topnav .dropbtn {
    display: none; /* Скрываем стандартные ссылки */
  }

  .topnav.responsive {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(51, 51, 51, 0.95); /* Темный фон с прозрачностью */
    z-index: 1000;
    display: flex;
    flex-direction: column;
    align-items: stretch;
    justify-content: flex-start;
    padding-top: 50px; /* Оставляем место для закрывающей иконки */
  }

  /* Стили для элементов меню */
  .topnav.responsive div {
    width: 50%;
    text-align: center;
    font-size: 16px;
    color: white;
    background-color: #444; /* Фон по умолчанию */
    box-sizing: border-box;
    transition: background-color 0.3s ease, color 0.3s ease; /* Плавный переход */
    cursor: pointer;
  }

  /* Стили при наведении */
  .topnav.responsive div:hover {
    background-color: #555; /* Новый цвет фона */
    color: #ffcc00; /* Новый цвет текста */
  }

  /* Активный элемент меню */
  .topnav.responsive div.active {
    background-color: #222;
    color: #ffcc00;
  }

  .topnav.responsive a,
  .topnav.responsive .dropbtn {
    display: block;
    text-align: left;
    width: 100%;
    padding: 16px;
    font-size: 18px;
    color: white;
    background-color: rgba(0, 0, 0, 0.5);
    text-decoration: none;
    border-bottom: 1px solid #444;
  }

  .topnav.responsive .dropdown-content {
    position: relative; /* Перекрываем следующие элементы */
    width: 100%;
    background-color: rgba(
      255,
      255,
      255,
      0.95
    ); /* Полупрозрачный белый фон для выпадающих меню*/
  }

  .dropdown-content div:hover {
    background-color: var(--hover-color); /* Используем переменную */
    color: #000; /* Темный текст при наведении */
  }

  .topnav .icon {
    display: block; /* Отображаем иконку гамбургера */
  }

  /* Стили для иконки закрытия */
  .topnav .close-icon {
    position: absolute;
    top: 0;
    right: 0;
    font-size: 24px;
    color: white;
    cursor: pointer;
    display: none;
  }

  .topnav.responsive .icon {
    display: none; /* Скрываем гамбургер при открытом меню */
  }

  .topnav.responsive .close-icon {
    display: flex;
    justify-content: flex-end;
  }
}


.fa-solid,
.fas {
  font-weight: 600;
  font-size: small;
}

.logo {
  font-family: "Montserrat";
}

#slideshow {
  background: #fff;
    position: relative;
  width: 100%;
  height: 80px;
}

#slideshow > div {
  position: absolute;
}

.img_back_slideshow {
  width: 100%;
  min-height: 120px;
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-position: center;
  background-size: cover;
}

.text-block-slideshow {
  position: absolute;
  width: 80%;
  height: 100%;
  bottom: 0;
  right: 0;
  color: white;
  padding: 10px 30px;
  opacity: 0.7;
}

.text-block-slideshow h3 {
  color: #eee;
  font-size: 18px;
  margin: 0;
}

h1,
h2,
h3,
h4,
p {
  color: var(--main-text-color);
  text-decoration: none;
}

h5 {
  font-size: 16px;
  color: #777;
  font-weight: 100;
  margin: 8px 0;
}

input[type="text"] {
  width: 100%;
  font-size: 16px;
  padding: 8px 20px;
  margin: 8px 0;
  border: 1px solid var(--border-color);
  border-radius: 6px;
  background: #ffff44;
  color: #000080;
}

input[type="text"]:hover {
  box-shadow: 0px 0px 5px #005fff;
  transition: 0.3s ease-in-out;
}

input[type="submit"] {
  width: 100%;
  background-color: var(--submit-bg-color);
  font-size: 16px;
  font-weight: 800;
  color: #fff;
  padding: 5px 8px;
  margin: 0;
  border: none;
  border-radius: 5px;
  cursor: pointer;
}

input[type="submit"]:hover {
  color: #000090;
  background-color: var(--submit-hover-bg);
   box-shadow: 2px 2px 5px #333;
  transition: 0.8s ease-in-out;
}

textarea {
  width: 100%;
}

hr {
  border-top: 1px solid #ddd;
  margin: 10px 0;
  color: #ddd;
  background: #eee;
}

#naslov {
  font-family: "Parisienne", "Poiret One", "Dancing Script", sans-serif;
  font-size: 40px;
  text-align: center;
  font-weight: 100;
  margin-bottom: 20px;
}

@media screen and (max-width: 800px) {
  #naslov {
    width: 100%;
    font-size: 30px;
    margin-bottom: 20px;
  }
}

#omotac {
  position: relative;
  flex-grow: 1; /* Заставляем omotac расти, занимая свободное пространство */
  width: 100%;
   color: var(--main-text-color);
  display: flex;
  flex-direction: column;
}

@media screen and (max-width: 450px) {
  #omotac {
    padding: 0 10px;
  }
}

@media screen and (max-width: 850px) {
  #omotac img {
    max-width: 100%;
    min-height: fit-content;
    height: auto;
  }
}

.omotac_index {
  margin-top: 70px;
  margin-bottom: 70px;
  justify-content: center;
  align-items: flex-start;
}

.omotac_index .omotac_1 {
  justify-content: flex-start;
}

.omotac_contakt {
  margin-top: 5%;

  justify-content: space-between;
  align-items: center;
}

#omotac .omotac_contakt #omotac_1 {
  display: flex; /* Dodano da se omogući korištenje justify-content */
  justify-content: space-between;
  padding-bottom: 70px;
}

#omotac_1 {
  display: flex;
  flex-wrap: wrap;
  align-items: stretch;
  font-family: "Montserrat", "Open Sans", "Lato"; /* Объединение всех шрифтов */
  width: 100%;
  color: var(--main-text-color);
}

.poruka {
  text-align: center;
  align-self: center;
}

/* Ссылки, оборачивающие карточки */
.card-link {
  display: block; /* Ссылки ведут себя как блочные элементы */
  text-decoration: none; /* Убираем подчеркивание ссылок */
  color: inherit; /* Наследуем цвет текста */
  width: 22%; /* Ссылка должна иметь ту же ширину, что и карточка */
  margin: 2% 1.5%; /* Отступы для ссылок */
  display: flex;
}

/* 3 карточки в ряду (ширина экрана до 1200px) */
@media screen and (max-width: 1200px) {
  .card-link {
    width: 30.3%;
    margin: 2% 1.5%;
  }
}

/* 2 карточки в ряду (ширина экрана до 1100px) */
@media screen and (max-width: 1100px) {
  .card-link {
    width: 47%;
    margin: 2% 1.5%;
  }
}

/* 1 карточка в ряду (ширина экрана до 800px) */
@media screen and (max-width: 800px) {
  .card-link {
    width: 98%;
    margin: 2% 1%;
  }
}

/* kartica index */

.card {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  box-shadow: 0 0 15px var(--shadow-color);
  border-radius: 7px;
  padding-bottom: 1%;
  text-align: center;
  width: 100%; /* Карточка занимает всю ширину внутри ссылки */
  flex: 1; /* Заставляет все карточки иметь одинаковую ширину */
}

.card img {
  width: 100%; /* Изображение занимает всю ширину карточки */
  height: auto;
  border-radius: 7px 7px 0 0;
  margin-bottom: 3%;
}

.card h2 {
  color: #555;
  font-size: 16px;
  font-weight: 800;
  margin: 2% 5%;
}

.card p {
  color: #555;
  font-size: 13px;
  margin: 0 3% 2%;
}

.card:hover {
  box-shadow: 0 0 4px var(--shadow-color);
  opacity: 0.6;
}


.respon_50 {
  width: 46%;
  margin: 1%;
  padding: 60px 10px 10px 10px;
}

@media screen and (max-width: 800px) {
  .respon_50 {
    width: 94%;
  }
}

#clanak {
  width: 70%;
  float: left;
  color: var(--main-text-color);
  padding: 0 2%;
}

#clanak img {
  box-shadow: 0 0 15px var(--shadow-color);
  border-radius: 3px;
}

.g-recaptcha {
  margin: 2% 0 5%;
}

#clanak span {
  font-size: 16px;
}

#clanak p {
  font-size: 16px;
}

@media screen and (max-width: 350px) {
  #clanak p {
    font-size: 15px;
  }
}

@media screen and (max-width: 800px) {
  #clanak {
    width: 100%;
    margin: 0;
  }
}

@media screen and (max-width: 500px) {
  #clanak {
    padding: 0 1%;
  }
}

.stranica_clanak {
  justify-content: space-between;
}

#drugi_stupac {
  float: left;
  width: 25%;
  color: var(--main-text-color);
  border-top: 2px solid #ddd;
  padding-top: 5px;
  margin-top: 10px;
  margin-right: 2%;
}

@media screen and (max-width: 800px) {
  #drugi_stupac {
    width: 100%; /* The width is 100%, when the viewport is 800px or smaller */
    margin: 2%;
  }
}

/*  Članak glavna slika članka */

.container {
  position: relative;
  margin: 0 auto;
}

.container_naslov {
  text-decoration: none;
  color: var(--main-text-color);
  font-size: 14pt;
  margin: 0;
  padding: 10px;
  font-weight: 300;
  vertical-align: middle;
  background-color: #f9f6fe;
}

.container img {
  width: 50%;
  border-radius: 7px 7px 0 0;
  box-shadow: 0 0 15px var(--shadow-color);
}

@media screen and (max-width: 1100px) {
  .container img {
    width: 75%;
  }
}

@media screen and (max-width: 500px) {
  .container img {
    width: 100%;
  }
}

.container .content {
  border-radius: 0 7px 7px 7px;
  top: 0;
  background: var(--shadow-color); /* Black background with 0.5 opacity */
  color: #ddd;
  font-size: 18px;
  padding: 10px 2%;
  box-shadow: 0 0 10px var(--shadow-color);
}

@media screen and (max-width: 500px) {
  .container .content {
    border-radius: 0 0 7px 7px;
  }
}

.container .content h1,
h2,
h3,
h4,
h5 {
  color: var(--border-color);
}

.container .content h1 {
  font-size: 28px;
  color: #fff;
  font-weight: 100;
}

@media screen and (max-width: 1100px) {
  .container .content h1 {
    font-size: 2vw;
    margin-top: 0;
  }
}

.sadrzaj {
  padding: 10px 0;
}

.sadrzaj h2 {
  font-size: 24px;
}

@media screen and (max-width: 1100px) {
  .sadrzaj h2,
  .container .content h1 {
    font-size: 2vw;
  }
}

@media screen and (max-width: 800px) {
  .sadrzaj h2,
  .container .content h1 {
    font-size: 2.5vw;
  }
}


@media screen and (max-width: 500px) {
  .sadrzaj h2,
  .container .content h1 {
    font-size: 3.5vw;
  }
}

@media screen and (max-width: 360px) {
  .sadrzaj h2,
  .container .content h1 {
    font-size: 5vw;
  }
}

.sadrzaj table {
  border-collapse: collapse;
  width: 100%;
}

.sadrzaj td,
.sadrzaj th {
  border: 1px solid var(--border-color);
  padding: 10px;
}

.sadrzaj tr:hover {
  background-color: #ddd;
}

.sadrzaj th {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: left;
  background-color: #4caf50;
  color: white;
}

.sadrzaj ol,
.sadrzaj ul {
  padding-left: 18px;
}

@media (max-width: 768px) {
  /* Применяем только для мобильных устройств */
  span[style*="font-family: Symbol"] {
    font-size: 1.5em !important; /* Увеличиваем размер символа */
    line-height: 1.2; /* Регулируем высоту строки */
  }
}

@media screen and (max-width: 850px) {
  strong {
    display: inline; /* Делаем контейнер блочным */
  }

  strong img,
  p img {
    display: block; /* Делаем контейнер блочным  */
    margin: 0 auto; /* Центрируем изображение */
    max-width: 100%; /* Ограничиваем ширину изображения, чтобы не выходило за пределы экрана */
    height: auto; /* Сохраняем пропорции изображения */
    text-align: center; /* Выравниваем содержимое по центру */
  }

  p,
  strong {
    text-align: left; /* Оставляем текст выровненным по левому краю */
  }
}

/* index okviri u stupcima članci i novosti  */

div.gallery {
  min-height: 10px;
  margin: 2% 0;
  padding: 5px;
  border-radius: 4px;
}

div.gallery:hover {
  box-shadow: 0 0 10px #ccc;
}

div.gallery img {
  max-width: 100%;
  height: auto;
  box-shadow: 8px -2px 13px -8px #aaa;
  border-radius: 4px;
}

div.index_img_clanak {
  float: left;
  max-width: 20%;
  height: auto;
  box-shadow: 8px -2px 13px -8px #aaa;
}

div.desc_clanak {
  float: left;
  max-width: 76%;
  padding: 0 1% 0 3%;
  vertical-align: middle;
}

div.desc_clanak h4 {
  text-decoration: none;
  color: var(--main-text-color);
  font-size: 11pt;
  margin: 0;
  font-weight: 200;
  vertical-align: middle;
}

div.index_img_vijest {
  float: left;
  max-width: 30%;
  height: auto;
  box-shadow: 8px -2px 13px -8px #aaa;
}

div.desc_vijesti {
  float: left;
  max-width: 65%;
  padding: 0 1% 0 3%;
  vertical-align: middle;
  font-size: 10pt;
}

div.desc_vijesti h4 {
  float: left;
  text-decoration: none;
  font-weight: 900;
  color: var(--main-text-color);
  font-size: 9pt;
  margin: 0;
}

div.desc_vijesti p {
  float: left;
  font-weight: 200;
  color: var(--border-color);
  font-size: 8pt;
}

.footer {
  bottom: 0;
  left: 0;
  font-family: "Poiret One", sans-serif;
  width: 100%;
  height: 120px;
  background: #fff;
  color: var(--border-color);
  text-align: center;
  padding-top: 15px;
  box-shadow: 0 -6px 10px #ddd;
  display: flex;
  justify-content: center;
}


.footer h1 {
  font-size: 28px;
}

.footer h2 {
  color: #000040;
}

.footer h4 {
  font-size: 16px;
  color: #000040;
}

.footer h4 a {
  font-size: 18px;
  color: #000040;
  text-decoration: none;
}

.footer h4 a:hover {
  color: red;
  font-weight: 800;
  text-decoration: none;
}

@media screen and (max-width: 500px) {
  .footer h1 {
    font-size: 20px;
  }
}

@media screen and (max-width: 500px) {
  .footer h4 {
    font-size: 14px;
  }
}

@media screen and (max-width: 500px) {
  .footer h4 a {
    font-size: 15px;
  }
}
